--
-- PostgreSQL database dump
--

-- Dumped from database version 9.0.1
-- Dumped by pg_dump version 9.0.1
-- Started on 2010-12-02 18:17:17

CREATE DATABASE autoricambi
  WITH OWNER = foodmart
       ENCODING = 'UTF8'
       TABLESPACE = pg_default
       LC_COLLATE = 'Italian_Italy.1252'
       LC_CTYPE = 'Italian_Italy.1252'
       CONNECTION LIMIT = -1;


SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 315 (class 2612 OID 11574)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: postgres
--

\c autoricambi;

CREATE OR REPLACE PROCEDURAL LANGUAGE plpgsql;


ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO postgres;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1508 (class 1259 OID 18373)
-- Dependencies: 5
-- Name: negozio_dt; Type: TABLE; Schema: public; Owner: foodmart; Tablespace: 
--

CREATE TABLE negozio_dt (
    id character varying(10) NOT NULL,
    nome character varying(255) NOT NULL,
    regione character varying(255) NOT NULL,
    provincia character varying(255) NOT NULL,
    comune character varying(255),
    indirizzo character varying(255)
);


ALTER TABLE public.negozio_dt OWNER TO foodmart;

--
-- TOC entry 1507 (class 1259 OID 18368)
-- Dependencies: 5
-- Name: periodo_dt; Type: TABLE; Schema: public; Owner: foodmart; Tablespace: 
--

CREATE TABLE periodo_dt (
    id character varying(10) NOT NULL,
    anno character varying(4) NOT NULL,
    mese character varying(15) NOT NULL
);


ALTER TABLE public.periodo_dt OWNER TO foodmart;

--
-- TOC entry 1509 (class 1259 OID 18381)
-- Dependencies: 5
-- Name: prodotto_dt; Type: TABLE; Schema: public; Owner: foodmart; Tablespace: 
--

CREATE TABLE prodotto_dt (
    id character varying(10) NOT NULL,
    tipo character varying(255) NOT NULL,
    modello character varying(255) NOT NULL
);


ALTER TABLE public.prodotto_dt OWNER TO foodmart;

--
-- TOC entry 1510 (class 1259 OID 18389)
-- Dependencies: 5
-- Name: vendite_ft; Type: TABLE; Schema: public; Owner: foodmart; Tablespace: 
--

CREATE TABLE vendite_ft (
    id integer NOT NULL,
    negozio_id character varying(10) NOT NULL,
    periodo_id character varying(10) NOT NULL,
    prodotto_id character varying(10) NOT NULL,
    qta integer NOT NULL,
    pz_unit numeric(10,2)
);


ALTER TABLE public.vendite_ft OWNER TO foodmart;

--
-- TOC entry 1800 (class 0 OID 18373)
-- Dependencies: 1508
-- Data for Name: negozio_dt; Type: TABLE DATA; Schema: public; Owner: foodmart
--

COPY negozio_dt (id, nome, regione, provincia, comune, indirizzo) FROM stdin;
1	pippo	puglia	bari	monopoli	\N
2	pluto	puglia	foggia	ortanova	\N
3	paperino	puglia	bari	bari	\N
\.


--
-- TOC entry 1799 (class 0 OID 18368)
-- Dependencies: 1507
-- Data for Name: periodo_dt; Type: TABLE DATA; Schema: public; Owner: foodmart
--

COPY periodo_dt (id, anno, mese) FROM stdin;
1	2005	200510
2	2005	200511
3	2010	201012
\.


--
-- TOC entry 1801 (class 0 OID 18381)
-- Dependencies: 1509
-- Data for Name: prodotto_dt; Type: TABLE DATA; Schema: public; Owner: foodmart
--

COPY prodotto_dt (id, tipo, modello) FROM stdin;
1	penna	biro
2	penna	stilo
3	carta	a4
\.


--
-- TOC entry 1802 (class 0 OID 18389)
-- Dependencies: 1510
-- Data for Name: vendite_ft; Type: TABLE DATA; Schema: public; Owner: foodmart
--

COPY vendite_ft (id, negozio_id, periodo_id, prodotto_id, qta, pz_unit) FROM stdin;
1	1	1	1	10	21.00
2	3	2	1	22	11.00
3	2	3	2	10	22.00
\.


--
-- TOC entry 1791 (class 2606 OID 18380)
-- Dependencies: 1508 1508
-- Name: negozio_pk; Type: CONSTRAINT; Schema: public; Owner: foodmart; Tablespace: 
--

ALTER TABLE ONLY negozio_dt
    ADD CONSTRAINT negozio_pk PRIMARY KEY (id);


--
-- TOC entry 1789 (class 2606 OID 18372)
-- Dependencies: 1507 1507
-- Name: periodo_pk; Type: CONSTRAINT; Schema: public; Owner: foodmart; Tablespace: 
--

ALTER TABLE ONLY periodo_dt
    ADD CONSTRAINT periodo_pk PRIMARY KEY (id);


--
-- TOC entry 1793 (class 2606 OID 18388)
-- Dependencies: 1509 1509
-- Name: prodotto_pk; Type: CONSTRAINT; Schema: public; Owner: foodmart; Tablespace: 
--

ALTER TABLE ONLY prodotto_dt
    ADD CONSTRAINT prodotto_pk PRIMARY KEY (id);


--
-- TOC entry 1795 (class 2606 OID 18393)
-- Dependencies: 1510 1510
-- Name: vendite_pk; Type: CONSTRAINT; Schema: public; Owner: foodmart; Tablespace: 
--

ALTER TABLE ONLY vendite_ft
    ADD CONSTRAINT vendite_pk PRIMARY KEY (id);


--
-- TOC entry 1796 (class 2606 OID 18394)
-- Dependencies: 1510 1790 1508
-- Name: negozio_fk; Type: FK CONSTRAINT; Schema: public; Owner: foodmart
--

ALTER TABLE ONLY vendite_ft
    ADD CONSTRAINT negozio_fk FOREIGN KEY (negozio_id) REFERENCES negozio_dt(id);


--
-- TOC entry 1797 (class 2606 OID 18399)
-- Dependencies: 1510 1507 1788
-- Name: periodo_fk; Type: FK CONSTRAINT; Schema: public; Owner: foodmart
--

ALTER TABLE ONLY vendite_ft
    ADD CONSTRAINT periodo_fk FOREIGN KEY (periodo_id) REFERENCES periodo_dt(id);


--
-- TOC entry 1798 (class 2606 OID 18404)
-- Dependencies: 1510 1509 1792
-- Name: prodotto_fk; Type: FK CONSTRAINT; Schema: public; Owner: foodmart
--

ALTER TABLE ONLY vendite_ft
    ADD CONSTRAINT prodotto_fk FOREIGN KEY (prodotto_id) REFERENCES prodotto_dt(id);


--
-- TOC entry 1807 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2010-12-02 18:17:17

--
-- PostgreSQL database dump complete
--

